Katello - Bug #23943

foreman-rake katello:regenerate_repo_metadata failed with "NoMethodError: undefined method
‘in_default_view' for #<Array:0x000000000ce126f0>"

06/14/2018 03:25 PM - Stephen Benjamin
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1589646

Description of problem:

Can't run foreman-rake katello:regenerate_repo_metadata as it failed with
"NoMethodError: undefined method “in_default_view' for #<Array:0x000000000ce126f0>"
Version-Release number of selected component (if applicable):

6.3.1

How reproducible:

Easy

Steps to Reproduce:

foreman-rake katello:regenerate_repo_metadata

Actual results:

"NoMethodError: undefined method “in_default_view' for #<Array:0x000000000ce126f0>"
Expected results:

No error.

Associated revisions

Revision bd3b03ac - 06/14/2018 11:10 PM - Stephen Benjamin
fixes #23943 - use order instead of sort
.sort in Rails 5 returns an array, but scopes like in_default_view is

called on the sorted array. This changes the rake task to use SQL
sorting with order instead.

History

#1 - 06/14/2018 03:30 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Stephen Benjamin

- Pull request https://github.com/Katello/katello/pull/7452 added
https://bugzilla.redhat.com/show_bug.cgi?id=1589646

#2 - 06/15/2018 12:01 AM - Stephen Benjamin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|bd3b03ac37f9dfc99cc5755b7f73314998ad268e.

#3 - 06/19/2018 02:21 PM - Jonathon Turel

- Subject changed from foreman-rake katello:regenerate_repo_metadata failed with "NoMethodError: undefined method “in_default _view' for
#<Array:0x000000000ce 126f0>"

to foreman-rake katello:regenerate_repo_metadata failed with "NoMethodError: undefined method “in_default_view' for
#<Array:0x000000000ce 126f0>"

- translation missing: en.field_release set to 338
